Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class RegistryRowsDeliveryNoteIn 'Szállítói szállítólevél és szállítói számla pontozása
    Inherits BaseObject
    Private _RegistryHeader As RegistryHeader
    Private _DeliveryNoteInRows As DeliveryNoteInRows
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    Property RegistryHeader As RegistryHeader
        Get
            Return _RegistryHeader
        End Get
        Set(value As RegistryHeader)
            SetPropertyValue("RegistryHeader", _RegistryHeader, value)
        End Set
    End Property
    Property DeliveryNoteInRows As DeliveryNoteInRows
        Get
            Return _DeliveryNoteInRows
        End Get
        Set(value As DeliveryNoteInRows)
            SetPropertyValue("DeliveryNoteInRows", _DeliveryNoteInRows, value)
        End Set
    End Property
End Class
